Add a job
curl --request POST \
--url https://api.torrin.app/api/jobs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"magnet": "<string>"
}
'import requests
url = "https://api.torrin.app/api/jobs"
payload = { "magnet": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({magnet: '<string>'})
};
fetch('https://api.torrin.app/api/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"info_hash": "<string>",
"name": "<string>",
"magnet": "<string>",
"seed": true,
"error": "<string>",
"file_size": 123,
"progress": 123,
"speed": 123,
"imdb_id": "<string>",
"files": [
{
"index": 123,
"name": "<string>",
"size": 123,
"media_info": {}
}
],
"selected_indexes": [
123
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"stream_urls": [
{
"file_name": "<string>",
"size": 123,
"signed_url": "<string>"
}
]
}{
"id": "<string>",
"info_hash": "<string>",
"name": "<string>",
"magnet": "<string>",
"seed": true,
"error": "<string>",
"file_size": 123,
"progress": 123,
"speed": 123,
"imdb_id": "<string>",
"files": [
{
"index": 123,
"name": "<string>",
"size": 123,
"media_info": {}
}
],
"selected_indexes": [
123
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"stream_urls": [
{
"file_name": "<string>",
"size": 123,
"signed_url": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Jobs
Add a job
Add a magnet, info-hash, or a supported web/file-host URL. Cached content returns
200 with a ready job (stream URLs populated); a new download returns 202.
POST
/
api
/
jobs
Add a job
Authorizations
Your instance API key as a bearer token: Authorization: Bearer <api_key>.
/rest/1.0 also accepts ?auth_token=; /v0/store also accepts
X-StremThru-Store-Authorization: Bearer <api_key>.
Body
application/json
A magnet URI, a 40-char info-hash, or a supported web/file-host URL.
Response
Cached, ready to stream.
Available options:
torrent, usenet, hoster, ytdlp Available options:
pending, queued, downloading, processing, publishing, complete, seeding, failed, evicted Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I